### Method

# Gimp LoadProcedure set_thumbnail_loader

#### Declaration [src]

    void
    gimp_load_procedure_set_thumbnail_loader (
      GimpLoadProcedure* procedure,
      const gchar* thumbnail_proc
    )

#### Description [src]

Associates a thumbnail loader with a file load procedure.

Some file formats allow for embedded thumbnails, other file formats contain a scalable image or provide the image data in different resolutions. A file plug-in for such a format may register a special procedure that allows GIMP to load a thumbnail preview of the image. This procedure is then associated with the standard load procedure using this function.

Available since: | 3.0

#### Parameters

`thumbnail_proc` | `const gchar*`
| The name of the thumbnail load procedure.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.